package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponSkuAddRequest struct {
	/*
	   请求     */
	ParamCouponTemplateItemRequest *domain.AlibabaWdkCouponSkuAddCouponTemplateItemRequest `json:"param_coupon_template_item_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponSkuAddRequest) SetParamCouponTemplateItemRequest(v domain.AlibabaWdkCouponSkuAddCouponTemplateItemRequest) *AlibabaWdkCouponSkuAddRequest {
	s.ParamCouponTemplateItemRequest = &v
	return s
}

func (req *AlibabaWdkCouponSkuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateItemRequest != nil {
		paramMap["param_coupon_template_item_request"] = util.ConvertStruct(*req.ParamCouponTemplateItemRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponSkuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
